For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • GETGet User Pages: https://graph.facebook.com/v25.0/me/accounts
            • GET3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
            • POST4. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
            • POST2. Upload Video: {upload_url}?access_token={fb_page_access_token}
LogoLogo
CloudflareSocial Media PostingFacebookStoriesVideo

  1. Upload Video: {upload_url}?access_token={fb_page_access_token}

||View as Markdown|
POST
/video-upload/v25.0/1995057251394009
POST
/video-upload/v25.0/1995057251394009
$curl -X POST "https://graph.facebook.com/video-upload/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR" \
> -H "file_url: https://social-media-posting-dev.assets.musiccast.deao.dev/Italo%20Disco%202025%20_%20Beats%20to%20Conquer%20Your%20Day%20%F0%9F%8C%9F%20Vibe%20with%20the%20Best%20Hits!%20%23italodisco.mp4" \
> -H "Content-Type: application/octet-stream"
200Social Media Posting_Facebook_Stories_Video_2. Upload Video: {upload_url}?access_token={fb_page_access_token}_example
1{
2 "message": "Upload Successful. To check the status of the video, please follow the instructions listed at https://developers.facebook.com/docs/video-api/guides/reels-publishing#get-the-upload-status.",
3 "success": true
4}
Was this page helpful?
Previous

4. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

Next

1. Upload Photo: https://graph.facebook.com/v25.0/{fb_page_id}/photos?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

Built with

Headers

file_urlstringOptional

Query parameters

access_tokenstringOptional
{fb_page_access_token}

Request

This endpoint expects binary data of type application/octet-stream.

Response headers

Alt-Svcstring
X-FB-Connection-Qualitystring

Response

OK
messagestring
successboolean
  1. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
  1. Upload Photo: https://graph.facebook.com/v25.0/{fb_page_id}/photos?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}